/* An example of using the dissidents rx_intui.library */

/* Open a window on WB. Let it be the default IDCMP. */
wind=rxi_GetWindow('Effects of DrawModes and pen colors',,,,,,,,)
IF wind == '' | wind == 0 THEN SAY 'Window open error'

/* Print a message with default pens, mode (JAM1 = background color ignored) */
mytext = 'Printed in default pens, mode (JAM1)'
y=20
err=rxi_Text(mytext,wind,10,y)

/* Change penA = 1, JAM2. Note how we move down 8 pixels because the default */
/* font is 8 pixels high. Also note how we pass a NULL string for PenB so that */
/* we don't change it. */
err=rxi_SetDraw(wind,1,,1)
y = y+8
err=rxi_Text('Pen A = 1, Mode = JAM2',wind,10,y)

/* Change penA = 0, penB = 3. */
err=rxi_SetDraw(wind,2,3,)
y = y+8
err=rxi_Text('Pen A = 2, Pen B = 3',wind,10,y)

/* Change penB = 1. */
err=rxi_SetDraw(wind,,1,)
y = y+8
err=rxi_Text('Pen A same, Pen B = 1',wind,10,y)

/* Change penA = 0. */
err=rxi_SetDraw(wind,3,,)
y = y+8
err=rxi_Text('Pen A = 3, Pen B same',wind,10,y)

/* Change DrawMode = 4 (INVERSVID). Note that we don't want to change */
/* PenA or PenB, so we pass null strings */
err=rxi_SetDraw(wind,,,4)
y = y+8
mytext = 'Same pens, INVERSVID mode'
err=rxi_Text(mytext,wind,10,y)

/* ITALICS */
err=rxi_SetFont(wind,4,)
err=rxi_SetDraw(wind,1,0,1)
y = y+8
err=rxi_Text('This is italics',wind,10,y)

/* BOLD */
err=rxi_SetFont(wind,2,)
y = y+8
err=rxi_Text('This is bold',wind,10,y)

/* UNDERLINE */
err=rxi_SetFont(wind,1,)
y = y+8
err=rxi_Text('This is underlined',wind,10,y)

/* ITALICS + UNDERLINE */
err=rxi_SetFont(wind,1+4,)
y = y+8
err=rxi_Text('This is underlined AND italics',wind,10,y)

/* Wait for - ANY - IDCMP message to drop us through */
msg=rxi_WaitMsg(wind)

/* Close the window, thus freeing any resources for it. */
wind=rxi_EndWindow(wind)
