/* */

/* Get a ReqDef structure */
rq=rxi_GetReq()
IF rq == '' | rq == 0 THEN SAY 'ReqDef allocation error'

/* Do the File Requester with INFO_SUPPRESS. Initial path is ram:, but could */
/* be any existing path or filename (ie df0:mydir/mydir2/myfilename)         */
/* Note that not passing the remaining args sets them to defaults. Usually,  */
/* this means that the settings that were used the last time that the req    */
/* was opened are used again. The exception is the title string which defaults */
/* to none. Since we pass 0 for screen, this opens on WB. */
path=rxi_ReqWindow(rq,'No Info Files',4096,,,'ram:',,,0)
IF path == '' THEN SAY 'Cancelled'
IF path > '' THEN SAY path

/* Do the File Requester with extention match ".library/.device", use device names */
/* This one only displays those files that end in ".library" or ".device". Also notice  */
/* that instead of disk (volume) names, we get device names (ie DF0:).     */
/* Note that since we passed a null string for the path, the fileio comes  */
/* up in the previously selected dir. Note that we set the EXTENSION_MATCH  */
/* of flags as well as pass the extension string. */
path=rxi_ReqWindow(rq,'Match .library or .device',8192+256,,'.library/.device',,,,0)
IF path == '' THEN SAY 'Cancelled'
IF path > '' THEN SAY path

/* Do the File Requester with WB pattern matching of Object Type = Project (2) */
/* There is no tooltypes string or extension match. Note that this only        */
/* displays files that are projects (ie data as opposed to program files) and  */
/* have icons. Flags = 16 to enable WB pattern matching and 32 for using the Object Type */
init = 'df1:'
path=rxi_ReqWindow(rq,'WB projects only (with icons)',16+32,,,init,2,,0)
IF path == '' THEN SAY 'Cancelled'
IF path > '' THEN SAY path

/* Free the ReqDef. Note: reassign return so that accidentally passing rq to
   this function later wouldn't cause any problems. */
rq=rxi_EndReq(rq)
